/*
 * QrfeReaderFactory.h
 *
 *  Created on: 14.05.2009
 *      Author: stefan.detter
 */

#ifndef QRFEREADERFACTORY_H_
#define QRFEREADERFACTORY_H_

#include <QrfeTraceModule>

#include "QrfeReaderInterfaceGlobal.h"

class QIODevice;
class QrfeRfeReader;

class QrfeReaderFactory : public QrfeTraceModule
{
public:
	QrfeReaderFactory();
	virtual ~QrfeReaderFactory();

	static QrfeRfeReader* getRfeReader(QIODevice* dev, QrfeGlobal::DeviceType deviceType, QObject* parent = 0);

public:
	static uint  	_traceLevel;
};

#endif /* QRFEREADERFACTORY_H_ */
